TYPO3.Flow - Task # 1280

Status: Resolved Priority: Must have
Author: Robert Lemke Category: - Documentation -
Created: 2008-08-14 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date: 2008-09-15
Sprint:

PHP Version:

Has patch:

Complexity:

Subject: Tag all classes as @internal - except the released API

Description

Starting with the first release of FLOW3 we need to communicate which APIs are safe for use in third-party packages and which ones
you should better avoid. This should be done through the API documentation - all classes and methods which are documented there,
may be used.

In order to create that source of information we need to initially tag all classes as @internal and then remove the annotation from all
classes we want to release as public API.

Related issues:
related to TYPOS3.Flow - Task # 3883: Mark all public API with @api tags Resolved 2009-07-13

Associated revisions

Revision 3aa91a19 - 2009-05-20 20:14 - Robert Lemke

- FLOWS: Marked all methods as @internal except those which are considered part of the official API. Resolves #1280
- TYPO3CR: Fixed two tests of the Storage\PDO\Search testcase.

History

#1 - 2008-09-02 12:36 - Robert Lemke
- Assigned To set to Robert Lemke

#2 - 2009-05-16 19:32 - Robert Lemke

- Target version set to 1.0 alpha 1

#3 - 2009-05-19 12:29 - Robert Lemke
- Status changed from New to Accepted

#4 - 2009-05-20 18:09 - Robert Lemke

Here's the script | used to add @internal annotations to all function doc comments:

The shell command line

find ./Packages/ -name ".php' -exec php add-internal-annotations.php {} \;

The PHP script
<?php
$file = file_get_contents($argv[1]);

$pattern =/ \* @internal
I
$replacement = ";

$file = preg_replace($pattern, $replacement, $file);

Ppattern ="/ \*V
([public|protected|private|final|abstract]+\s*)function/’;
$replacement =" * @internal

*/

$1function’;

$file = preg_replace($pattern, $replacement, $file);

file_put_contents($argv[1], $file);

7>

#5 - 2009-05-20 21:01 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2293.
